#include "uart.h"
#include <iocc2540.h>

void uart_init(void)
{
CLKCONCMD&=~((1<<6)|(7<<0));
PERCFG=0X00;
P0SEL|=3<<2;
P2DIR&=~(3<<6);
U0CSR|=1<<7;
U0GCR=9;
U0BAUD=59;
UTX0IF=0;
U0CSR|=1<<6;
IEN0 |= 1<<2;
EA=1;
}

void uart_tx(char *p,int len)
{
unsigned char i;
for(i=0;i<len;i++)
{
U0DBUF=*p++;
while(!UTX0IF);
UTX0IF=0;
}
  
 U0DBUF=0x0a;
while(!UTX0IF);
UTX0IF=0;
  
}
